All of lore.kernel.org
 help / color / mirror / Atom feed
From: Miriam Rubio <mirucam@gmail.com>
To: git@vger.kernel.org
Cc: Miriam Rubio <mirucam@gmail.com>
Subject: [PATCH v4 1/6] t6030-bisect-porcelain: add tests to control bisect run exit cases
Date: Tue, 17 Aug 2021 10:14:53 +0200	[thread overview]
Message-ID: <20210817081458.53136-2-mirucam@gmail.com> (raw)
In-Reply-To: <20210817081458.53136-1-mirucam@gmail.com>

There is a gap on bisect run test coverage related with error exits.
Add two tests to control these error cases.

Signed-off-by: Miriam Rubio <mirucam@gmail.com>
---
 t/t6030-bisect-porcelain.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/t/t6030-bisect-porcelain.sh b/t/t6030-bisect-porcelain.sh
index a1baf4e451..f41453cc97 100755
--- a/t/t6030-bisect-porcelain.sh
+++ b/t/t6030-bisect-porcelain.sh
@@ -962,4 +962,18 @@ test_expect_success 'bisect handles annotated tags' '
 	grep "$bad is the first bad commit" output
 '
 
+test_expect_success 'bisect run fails with exit code equals or greater than 128' '
+	write_script test_script.sh <<-\EOF &&
+	exit 128 >/dev/null
+	EOF
+	test_must_fail git bisect run ./test_script.sh > my_bisect_log.txt
+'
+
+test_expect_success 'bisect run fails with exit code smaller than 0' '
+	write_script test_script.sh <<-\EOF &&
+	exit -1 >/dev/null
+	EOF
+	test_must_fail git bisect run ./test_script.sh > my_bisect_log.txt
+'
+
 test_done
-- 
2.29.2


  reply	other threads:[~2021-08-17  8:16 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-17  8:14 [PATCH v4 0/6]Finish converting git bisect to C part 4 Miriam Rubio
2021-08-17  8:14 ` Miriam Rubio [this message]
2021-08-17  9:00   ` [PATCH v4 1/6] t6030-bisect-porcelain: add tests to control bisect run exit cases Bagas Sanjaya
2021-08-17  9:23     ` Christian Couder
2021-08-17 20:19       ` Miriam R.
2021-08-17  8:14 ` [PATCH v4 2/6] t6030-bisect-porcelain: add test for bisect visualize Miriam Rubio
2021-08-17  9:03   ` Bagas Sanjaya
2021-08-17 20:17     ` Miriam R.
2021-08-17  8:14 ` [PATCH v4 3/6] run-command: make `exists_in_PATH()` non-static Miriam Rubio
2021-08-17  8:14 ` [PATCH v4 4/6] bisect--helper: reimplement `bisect_visualize()`shell function in C Miriam Rubio
2021-08-17 11:30   ` Johannes Schindelin
2021-08-17 20:19     ` Miriam R.
2021-08-17  8:14 ` [PATCH v4 5/6] bisect--helper: reimplement `bisect_run` shell " Miriam Rubio
2021-08-17 11:42   ` Johannes Schindelin
2021-08-17 20:22     ` Miriam R.
2021-08-17 21:36       ` Johannes Schindelin
2021-08-18  8:33         ` Christian Couder
2021-08-18  9:43           ` Miriam R.
2021-08-17  8:14 ` [PATCH v4 6/6] bisect--helper: retire `--bisect-next-check` subcommand Miriam Rubio
2021-08-17 11:57   ` Johannes Schindelin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210817081458.53136-2-mirucam@gmail.com \
    --to=mirucam@gmail.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.